## mmmrpc 0.7-1

=== Makefile ===
DESTDIR?=

DPREFIX=$(DESTDIR)

 
CFLAGS+=`pkg-config gtk+-2.0 hildon-control-panel libosso --cflags 2>/dev/null` 
CFLAGS+=-shared 

LIBS+=`pkg-config gtk+-2.0 hildon-control-panel libosso --libs 2>/dev/null`


all:
	$(CC) -o libmmmrpcapplet.so mmmrpcapplet.c $(LIBS) -L. $(CFLAGS)


install:
	install -d $(DPREFIX)/usr/lib/hildon-control-panel
	install -m 755 libmmmrpcapplet.so $(DPREFIX)/usr/lib/hildon-control-panel/libmmmrpcapplet.so
	install -d $(DPREFIX)/usr/share/applications/hildon-control-panel
	install -m 644 mmmrpcapplet.desktop $(DPREFIX)/usr/share/applications/hildon-control-panel/mmmrpcapplet.desktop
	install -d $(DPREFIX)/opt/mmmrpcserver
	install -m 755 final-server.py $(DPREFIX)/opt/mmmrpcserver/final-server.py
	install -d $(DPREFIX)/home/user/MyDocs/mmmrpcclient
	install -m 644 readme.txt $(DPREFIX)/home/user/MyDocs/mmmrpcclient/readme.txt
	install -m 644 MMMRPCClient.jad $(DPREFIX)/home/user/MyDocs/mmmrpcclient/MMMRPCClient.jad
	install -m 644 MMMRPCClient.jar $(DPREFIX)/home/user/MyDocs/mmmrpcclient/MMMRPCClient.jar
	

clean:
	rm -f *.o *.so || true

=== debian/changelog ===
mmmrpc (0.7-1) unstable; urgency=low

  * Initial release

 -- Bartosz Miskiewicz <miskiewicz.bartosz@gmail.com>  Sat,  7 May 2011 15:05:59 +0200

=== debian/control ===
Source: mmmrpc
Section: user/system
Priority: extra
Maintainer: Bartosz Miskiewicz <miskiewicz.bartosz@gmail.com>
Build-Depends: debhelper (>= 5), cdbs, libgtk2.0-dev, libhildon1-dev, libosso-dev, libglib2.0-dev, hildon-control-panel-dev, libgconf2-dev, libhildondesktop1-dev
Standards-Version: 3.7.2

Package: mmmrpc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xdotool (>= 2.20101012.3049-6)
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=2147
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9sFBw4JEsn/Fo4AAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJ
 TVBXgQ4XAAAQmElEQVRo3sWaeZQU1b3HP7eqep+ZHhgGWRRBDBoCEUxERM1i
 Fk1i3tF3QtwwLGI0uMYFF2JckhBNeBgICi5o9PkSiXnHJRpNQiIqrhAjCiiL
 CMwmw2zd091VdZe674/uacAYM/hiUuf0me7qe3/z+97f97dWC/a6bnlpM0Eq
 xfVHHARjPsfNK+7NDs3E00khYgJQFtOtIn97267cgi9+ygD84MUtXHfMx/h3
 XeL9bl725zfGH3ng4LNr08kTQss4ZUlE1mIRINisw3B1R3fuwbmTPvZHgBtf
 2sr1kw/9twBw+t58f/UWAOa/vPXSLx024mmvpvbKNhKf6hTJRFtPgW6Rsnkn
 QUEkxpTiNbNqGgY/+qO/7Hzognt/7f6zlD9n9rf/7nczZs1+fwtc+YfX+OmX
 JwCw4NWdlx80MLvg3cgjNBZHgEZwvGpjm4nTFq/HccqYLcJaa4Sfzz9eyufP
 uOXzYwsXP/kai78yYb8Vv+S7l7Ho1oV8+aSvxY88csLxsVhsvo3sJGMMXsx7
 pVQsXRuE4XO3/XyRnDHrHH5xz/I9FtjeU2bRvGc3X9JYV7tgRyhsPtBWKkMg
 DaE0OI7L14fXcKjqpidfIlARodRCKouIp062jrcYwFcf7uQX3bqQr3zt5AFf
 +MLnl2cyNSutZVJnZyc9PT2USv4kLxZbaa1d/p9Tpw7YW/mqD5yx4vnxXxp/
 6NM7VKzBWGsFCARYBMbCyYlujhxxANpErNvVw2MdgngqXVkihPR9ettbz7j9
 P456cPbDa7n71E/3W/lzv30+XT3dsWOPOeb+3kLxdKUUsVjM7tr1rgAYMmSo
 lWEowjCkt7f3wUKx9K1UMqHuunNZnw8MZeywxrO3l2xDMVCEUgtfamwhT7K3
 Ez9QWCto6srzwjttfGroAL6alcggJJBaBKHCODFEomY+sF/Kz7nwYu66cxnj
 PvGJMyLL6UIIW1tbi+e5ojefpzefw3VdUVtXR21dna3LZk+vq605/a47l3He
 dy4oA5jxm8eypcg7IRdEhNIQhIaCb/hsqsRF4xoZKnsItCYR87BuDITAWAcZ
 ltf6oSYMtY1iqcbpv1lz3P5Q5/Ylizlq8rH1jYMa71JSUlNTQ11tLT09PRx9
 9NFMmjSZXE83dXW11NbUUF9fT6Ymc/dZZ0+vv2PpbWUASc9Nd5bkuFKgCcLy
 SyvNEx0xmrp7mT3+AMYNa6A+leBzhxzA82+38cudmoKyFeUNQahFqKKU1NH4
 /ip/1dXXAnDaN79xox/48WQqaWsyGVFTW0M2W0dTUzNNzU1ks1lqa2rJ1GRE
 Op22dXXZeENDw40Al10xF2d3IYjlSjLhK02w16vDePz8jW5yfkg6HiPmOjy9
 qYXbtoZIPAKlCffd40plGvsL4Jab5zNp8rFxAadZi00lUyKVTpFJZ5g48Ug2
 bljPmxs2MHHiRNKZNOlUmmQyKVKppE2n09886+yZ8YULfoIXhBrP0RjXlJ0X
 sFhAEChBS0+RwbVprLWs7wyQ2iOQGqzdJw8aYwilFvtDoSlTJh8tlU7XZDKk
 0inSqTTpTIq62jq+MfWbIKB+wADy+TxYSxRFaK1Ip9OZhob6o4HnvEBFJuYZ
 zF7/XAiwWjHn8CRHjTwAqTUCwXmTRlL36g4eatYk47F9QllktA2Uye9nHv2Y
 1irV1tYqdu/ezcEjD6Z+QD112SwHHXQgANlslsAPaO1pYfuOHRhjRDKRTLmu
 NwZ4ztMm8q22m43UY/oQSGP5zuiIE8cexOJVGzmkPsmnRw6mKA1nHjmCkt7O
 k20SRDWR20grX4byrf3SPzJDHcfxDhtzGIlkgvb2dp59ZhWFQhGwlcMUZDI1
 DGpoYOzYsWUwba0eUTQEwCt2deZiWbHawx0jhFumg7W80m545+nN/O8Oyw+O
 cuksBjy5oYXLvvRJjh1ey5NN3QTWrWRlUMV83t/VtHq/9Md61kJvoYBwHUaO
 GsWECROpH1BPJp1GCEGxWKS7u4dcLkdPTw+FYhEbWSJsDMBbe91Uc8SPHnnQ
 E7Ez3Hgqaa0VAnhml8UhRFoHYyJGDcry7ePr2NjcwTWrWukVSSwaIYQ1SopC
 d27Rpvmze/cHgNFGG6MxxqCUIvADCm4BExkKhUKZDaGk5JfwAx+lFMYYtDEY
 Y3S1mFs375Q/lnq6nyj5gQilJpCVUkJFBKHCWvBcwcvbdjH1oU20qxiB1IRS
 U/SlqAu7uHNywn3k0cemPr1q1YjfPv5Epk/JZXfeXVX4x8uW8dRjvwXg4Uce
 HTRixIgTldIEYUgYhgRBQLFUpFgokM/lyOfyFAoFSsUSQRAQVtYppbTWpg3A
 G3vTw2z8/qnsXP3k6UOOO/kREU+f7Lie6KNGaCxEEfe8uI2Fazpw4mlCqapU
 G2jy9qyDQ3Jh/Iee51EoFAiCcNU99/7iIWWi+8+bPasAsGTJMi48/3wAVvz6
 oZEl37+noWHg8Z1dXYRhaGOeJ4RwiKIIpRSe6wICbTRSSgI/wA98wjC0vu/7
 UobrqrXQod97iK0/nMqBV6+oscJbLJI1M0UsgbDYCCGGuwV2RWmMFQjACqxW
 WgyJupk2tEg2FoEQOMLBcRyEEFhrjFKmwxizOJfr+q+r5l4VnvDFU7wLLph+
 bWSiOb4fHCCE4NVXXyWZStlMJiOSyQSJRIJ4LI7jOoAg6qNXGOL7Pr7v09nZ
 ue6OpbdN+LsNTcMlD5wu4un5IpFqRDgpi3AB62BxRSRiyjdj493vnDY0vNOX
 5ldzLr6oGWDJbUs/IwSXCiE+L4STdRxEFIHjCGpra3KJeCIbhGGV31EUPb3u
 9dd/6gjnd3XZLMlkwsbjCeF5Hq7rVtYYtDaEYWDDIBS5fI58T+6YBx64/6Xv
 zLlwXwBDLv8VvcqjuHhqOQZf9D/HWUeMb/DsxycP5qIoKNmBMSUGu+GNN8y9
 4kYhjH2/A/jpggVjhHDPRDAN7GghBCCwUVSO/o6zxVq7vBTqJdddc2Vx5jnn
 zkmlUktSqZSIx+PW8zzR13eUk5e2Ukrh+771S6UL773n7tunz5jFfb+45/0t
 MPCSB+haNK36efnyu5eHoZrV29uL1mr+vHnz5gEsXLiQyy67bJ+9t/7sZ3z3
 0ks5Z9q5HDL+0AGR0hOs4CQsY4QQbwvLE67nrbvm6rldAOfPuRCMIZDy667n
 /SqZTGRc1+M9AAjDsBhF+nTXST5eCvP88v7//gft3QXlcvXSy6889PalS+33
 r7/Jfu+669cALFi4qF9h8oYbburXum9Nn7nn/YxZ5888Z/bKmeecu23mOedu
 mzlr9spvTZ95/p7vZ/7jpn7va9511z9so+gUpTVShhMW3bpw3b9rAjF95izu
 u/eevwVwxx131dTXZdwomcK1Fg+L53n2r6+tG9Tdk3vRcZzB1tpVo0YefOaB
 w4eVPgrltBCYUODg05MrmvPOO7fw1O9/z0knnvjBY5WVf/rzL4cNG3pGLBbH
 cUS5l6wWdYJYLFaudaJIaGMqVehHc1lriaxFSUlrW9sjX/zCCaf+oz2etfYM
 YyIbjwshRDmG730prauWEkKUS9WPDgEiijBRZLH2lP5s8ay1aK3RWleVFx+l
 kh9w+n1/tdZE/bS0Z4whiqyoFEi0t7eTz+X2EYq1CKcSy/e6hxCVrGurn/cc
 gMVG7733HplCYIFUOs2QIUNIJBLl0GmtMCbqHwCtNUor4lGMJx5/nJ07djDi
 4BEI4O1t23j2mWc4/PDDmTJlCgC5fJ4nf/c7auvqOOnEk3A9F6MNT/3+KXrz
 eb7y1a+SrasD4IUXXmDTpk0c/5nPMHr0aADe3vo2zz5blnnMlClgLfneXoql
 EmedeRbxeBytNcao/gPQqrz4sUcf4eZbfsKghgYAdnd00NXVxfTpMzhk1Cgc
 x6FQLBKGksMPP4xJR00iHo8hpaJxcCNvvbWJU045lZpMhiiK+PjYT3Dfffdx
 1lnTaBw0aI/M7r+VuWzpUrq6OmloGIRWCqV0PwEojZQaqTSlUon23bvp7Ooq
 O7BURJEll8uzectWhBBoXRZeKgVsffttHMcligylUoBSmh07duB5May1FItF
 oihi1652urq7P1Cm7/tIWZYtpULrfgJQWqG0RMqQyFqam1vwPK/cTEhJEIS0
 traSzqQRCJTW5PN52tvbQQhc193jO/k8zS2txDyPyFr8UokgCGlpaSEWj3+g
 zGKxiFKKUIZorVFqPyikpERJSRgErF3zCg2DGgFbmU0WWfuXtQwbNgyBwA98
 mlua6ezsZOSoUbiOg4kM77zzDmEQkEwlSSSSYC0tba2USkXWvb6O+voBgKW7
 u5tSqciatWsZNmwoAkEQBuzYsZ0+OqtKVOyfBZRGa4NSmiiK6OjYXa3phRCM
 GjWKUrHEKy+/jOu6jDhoBAcOG47Wmtf++ipaaw4cfiCDBg4kiixbNm+mWCgw
 aNAgGhoayIwcSWdHB5vefJN0JsPw4cMZNWoU1lp6KrQqFov4vl/VQymF7rcP
 aIVUEqnKo72rr76G0aNH4/SFPaCnp4dbbr6FcePHcdppp+G5LtoYVqxYwfr1
 67nqqqvIZsuRZ/Xq51ny8yVcfsUVjD7kkHLk2baNedfO49zZsznu+OMAsU+o
 7cnluOnGG6p6aKX7Emh/fKCMWEqF4zj0Fgps2LBx32ysJF7MI53OsHHjRlzH
 xUSGdDqD53ls37696rjxeBylJL29BTZsfLOyX6GUJBaP88YbG/4mUWqtSKXT
 lXVlB1a6nz5gKnzTWhFFEc3NLcQqTrwHgKI3n2f37nbiiUSF9xG7d7fTm8/T
 1NJCzPWw1uIHAVJKmlvL9wBUpa9taW0jlUy+b7lSKBTLE4eKPqa/FpBKV0OX
 lJL1698gm62v+gBYSiWfpuYmwlASSlW1wMb162lv38WWTZtJJpNYoGnnTorF
 Iutee40BAwYC0N3VRbFY5JVXXmbEiIOrPhZFEdZawjDg3Xfb0HuF0H5TSKuy
 5+uK+VY9/We8ysmV/FLVAvF4nHw+z86mHdXNUkqstaxc+YfqqSqlcFyH1c89
 W+1rjTE4rsOrf1nLyy+9WKaNMdRmanAcByklWqtqFNrPMCorPiBJpVP8+Me3
 MHHiRADWrFnDBXPmcNFFFzFt2rRyfviwdZ4tA3nhxRe59JJLuPjii5k+YwZR
 ZOjs7GLulVeglKz6QL+jkKo4jNSKeCxOPJ5gy5byE8uamvIJjT/iCDZt3lxJ
 cB8eQWQt2WwWi2Xc+E/y5ptv4jgOYRgydNjwMpW1wlR8st95QEqF55XHdk3N
 TVUKRTaiVCrS3NxCIh7//5fZFiJrCIOA5pY9MpXWFHp7UVqj+nygvxYwusx9
 JSWe57F1yxZS6XT5+UDg4zgOmzdvIpvN8n4Nz/7U+xZL4PfJfIu6bD0CgZSS
 3t48kdnjA3p/8oDWipIPx0w5lheefx7XK4/1isUCjY2N/GnlHxnY0LBPu/nh
 DGApFvpkrmTgwIYquOHDhxOLx6sUUv2nUDmJRZFlyNBhTJkypdJ02Pfw/Z/V
 C+8r01qIxWJ0dnXR2tpWSWz7EYXKAEIbRZGQUvLautepq61FOM6/7McaxVIJ
 KSWO41RaSmWV6t/jKq8y+RVezJTrHyHY3dHxr/3FSZ9fVaYSWikhZdjPTBzK
 70ZRNNd1PS3eM1b5lzf2leLOGONppX7Wnz3/BzmO75xf3Sa3AAAAAElFTkSu
 QmCC
Description: mmmRemotePhoneControl
 Control your phone remotely using other Java ME enabled phone via Bluetooth.

## mmmrpc 0.7.1-1

=== Makefile ===
--- 
+++ 
@@ -21,9 +21,9 @@
 	install -d $(DPREFIX)/opt/mmmrpcserver
 	install -m 755 final-server.py $(DPREFIX)/opt/mmmrpcserver/final-server.py
 	install -d $(DPREFIX)/home/user/MyDocs/mmmrpcclient
-	install -m 644 readme.txt $(DPREFIX)/home/user/MyDocs/mmmrpcclient/readme.txt
-	install -m 644 MMMRPCClient.jad $(DPREFIX)/home/user/MyDocs/mmmrpcclient/MMMRPCClient.jad
-	install -m 644 MMMRPCClient.jar $(DPREFIX)/home/user/MyDocs/mmmrpcclient/MMMRPCClient.jar
+	install readme.txt $(DPREFIX)/home/user/MyDocs/mmmrpcclient/readme.txt
+	install MMMRPCClient.jad $(DPREFIX)/home/user/MyDocs/mmmrpcclient/MMMRPCClient.jad
+	install MMMRPCClient.jar $(DPREFIX)/home/user/MyDocs/mmmrpcclient/MMMRPCClient.jar
 	
 
 clean:

=== debian/changelog ===
mmmrpc (0.7.1-1) unstable; urgency=low

  * Fixed install scripts
  * Added XSBC-Maemo-Display-Name field

 -- Bartosz Miskiewicz <miskiewicz.bartosz@gmail.com>  Sat,  7 May 2011 17:49:12 +0200

## mmmrpc 0.7.1-2

=== Makefile ===
--- 
+++ 
@@ -20,10 +20,9 @@
 	install -m 644 mmmrpcapplet.desktop $(DPREFIX)/usr/share/applications/hildon-control-panel/mmmrpcapplet.desktop
 	install -d $(DPREFIX)/opt/mmmrpcserver
 	install -m 755 final-server.py $(DPREFIX)/opt/mmmrpcserver/final-server.py
-	install -d $(DPREFIX)/home/user/MyDocs/mmmrpcclient
-	install readme.txt $(DPREFIX)/home/user/MyDocs/mmmrpcclient/readme.txt
-	install MMMRPCClient.jad $(DPREFIX)/home/user/MyDocs/mmmrpcclient/MMMRPCClient.jad
-	install MMMRPCClient.jar $(DPREFIX)/home/user/MyDocs/mmmrpcclient/MMMRPCClient.jar
+	mv readme.txt $(DPREFIX)/home/user/MyDocs/mmmrpcclient/readme.txt
+	mv MMMRPCClient.jad $(DPREFIX)/home/user/MyDocs/mmmrpcclient/MMMRPCClient.jad
+	mv MMMRPCClient.jar $(DPREFIX)/home/user/MyDocs/mmmrpcclient/MMMRPCClient.jar
 	
 
 clean:

=== debian/changelog ===
mmmrpc (0.7.1-2) unstable; urgency=low

  * Fixed install scripts (finally!)

 -- Bartosz Miskiewicz <miskiewicz.bartosz@gmail.com>  Sat,  7 May 2011 18:07:43 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Package: mmmrpc
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, xdotool (>= 2.20101012.3049-6)
+XSBC-Maemo-Display-Name: mmmRemotePhoneControl
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=2147
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c

## mmmrpc 0.7.1-3

=== Makefile ===
--- 
+++ 
@@ -20,9 +20,10 @@
 	install -m 644 mmmrpcapplet.desktop $(DPREFIX)/usr/share/applications/hildon-control-panel/mmmrpcapplet.desktop
 	install -d $(DPREFIX)/opt/mmmrpcserver
 	install -m 755 final-server.py $(DPREFIX)/opt/mmmrpcserver/final-server.py
-	mv readme.txt $(DPREFIX)/home/user/MyDocs/mmmrpcclient/readme.txt
-	mv MMMRPCClient.jad $(DPREFIX)/home/user/MyDocs/mmmrpcclient/MMMRPCClient.jad
-	mv MMMRPCClient.jar $(DPREFIX)/home/user/MyDocs/mmmrpcclient/MMMRPCClient.jar
+	install -m 777 -d $(DPREFIX)/home/user/MyDocs/mmmrpcclient
+	install -m 644 readme.txt $(DPREFIX)/home/user/MyDocs/mmmrpcclient/readme.txt
+	install -m 644 MMMRPCClient.jad $(DPREFIX)/home/user/MyDocs/mmmrpcclient/MMMRPCClient.jad
+	install -m 644 MMMRPCClient.jar $(DPREFIX)/home/user/MyDocs/mmmrpcclient/MMMRPCClient.jar
 	
 
 clean:

=== debian/changelog ===
mmmrpc (0.7.1-3) unstable; urgency=low

  * Added XB-Maemo-Upgrade-Description

 -- Bartosz Miskiewicz <miskiewicz.bartosz@gmail.com>  Sat,  7 May 2011 18:31:18 +0200

## mmmrpc 0.7.1-4

=== debian/changelog ===
mmmrpc (0.7.1-4) unstable; urgency=low

  * version bump

 -- Bartosz Miskiewicz <miskiewicz.bartosz@gmail.com>  Sat,  7 May 2011 19:03:25 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, xdotool (>= 2.20101012.3049-6)
 XSBC-Maemo-Display-Name: mmmRemotePhoneControl
+XB-Maemo-Upgrade-Description: Control your phone remotely using Java ME app on another Bluetooth device!
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=2147
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c

## mmmrpc 0.7.1-5

=== debian/changelog ===
mmmrpc (0.7.1-5) unstable; urgency=low

  * version bump, playing with postinst and postrm scripts

 -- Bartosz Miskiewicz <miskiewicz.bartosz@gmail.com>  Sat,  7 May 2011 19:40:11 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) all
	#docbook-to-man debian/mmmrpc.sgml > mmmrpc.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/mmmrpc.
	$(MAKE) DESTDIR=$(CURDIR)/debian/mmmrpc install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mmmrpc 0.7.1-6

=== Makefile ===
--- 
+++ 
@@ -20,10 +20,9 @@
 	install -m 644 mmmrpcapplet.desktop $(DPREFIX)/usr/share/applications/hildon-control-panel/mmmrpcapplet.desktop
 	install -d $(DPREFIX)/opt/mmmrpcserver
 	install -m 755 final-server.py $(DPREFIX)/opt/mmmrpcserver/final-server.py
-	install -m 777 -d $(DPREFIX)/home/user/MyDocs/mmmrpcclient
-	install -m 644 readme.txt $(DPREFIX)/home/user/MyDocs/mmmrpcclient/readme.txt
-	install -m 644 MMMRPCClient.jad $(DPREFIX)/home/user/MyDocs/mmmrpcclient/MMMRPCClient.jad
-	install -m 644 MMMRPCClient.jar $(DPREFIX)/home/user/MyDocs/mmmrpcclient/MMMRPCClient.jar
+	install -m 644 readme.txt $(DPREFIX)/opt/mmmrpcserver/readme.txt
+	install -m 644 MMMRPCClient.jad $(DPREFIX)/opt/mmmrpcserver/MMMRPCClient.jad
+	install -m 644 MMMRPCClient.jar $(DPREFIX)/opt/mmmrpcserver/MMMRPCClient.jar
 	
 
 clean:

=== debian/changelog ===
mmmrpc (0.7.1-6) unstable; urgency=low

  * version bump, playing with postinst and postrm scripts
  * starting to work on control panel launching the server

 -- Bartosz Miskiewicz <miskiewicz.bartosz@gmail.com>  Sat,  7 May 2011 20:03:57 +0200

## mmmrpc 0.7.1-7

=== debian/changelog ===
mmmrpc (0.7.1-7) unstable; urgency=low

  * more code added to control panel applet launching the server
  * python script now turns bluetooth on by itself at startup

 -- Bartosz Miskiewicz <miskiewicz.bartosz@gmail.com>  Sat,  7 May 2011 22:44:02 +0200

## mmmrpc 0.7.1-8

=== debian/changelog ===
mmmrpc (0.7.1-8) unstable; urgency=low

  * fixed issue with control panel applet

 -- Bartosz Miskiewicz <miskiewicz.bartosz@gmail.com>  Sat,  7 May 2011 23:19:51 +0200

## mmmrpc 0.8

=== debian/changelog ===
mmmrpc (0.8) unstable; urgency=low

  * server script now fully functional
  * control panel applet now able to start and stop server
  * reached alfa stage

 -- Bartosz Miskiewicz <miskiewicz.bartosz@gmail.com>  Sat,  7 May 2011 23:59:14 +0200

mmmrpc (0.7.1-9) unstable; urgency=low

  * fixed server script
  * changing function of applet checking if server is running

 -- Bartosz Miskiewicz <miskiewicz.bartosz@gmail.com>  Sat,  7 May 2011 23:59:14 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: mmmrpc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, xdotool (>= 2.20101012.3049-6)
+Depends: ${shlibs:Depends}, ${misc:Depends}, xdotool (>= 2.20101012.3049-6), python (>= 2.5), python-hildon (>= 0.9.0-1maemo13), python-gtk2, python-hildondesktop (>= 0.1.0-1maemo3), python-bluez (>= 0.15-1.1maemo3)
 XSBC-Maemo-Display-Name: mmmRemotePhoneControl
 XB-Maemo-Upgrade-Description: Control your phone remotely using Java ME app on another Bluetooth device!
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=2147

## mmmrpc 0.8-1

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	install -d $(DPREFIX)/usr/share/applications/hildon-control-panel
 	install -m 644 mmmrpcapplet.desktop $(DPREFIX)/usr/share/applications/hildon-control-panel/mmmrpcapplet.desktop
 	install -d $(DPREFIX)/opt/mmmrpcserver
-	install -m 755 final-server.py $(DPREFIX)/opt/mmmrpcserver/final-server.py
+	install -m 755 mmmrpcserver.py $(DPREFIX)/opt/mmmrpcserver/mmmrpcserver.py
 	install -m 644 readme.txt $(DPREFIX)/opt/mmmrpcserver/readme.txt
 	install -m 644 MMMRPCClient.jad $(DPREFIX)/opt/mmmrpcserver/MMMRPCClient.jad
 	install -m 644 MMMRPCClient.jar $(DPREFIX)/opt/mmmrpcserver/MMMRPCClient.jar

=== debian/changelog ===
mmmrpc (0.8-1) unstable; urgency=low

  * fixed problem with XSBC-Maemo-Display-Name field

 -- Bartosz Miskiewicz <miskiewicz.bartosz@gmail.com>  Sun,  8 May 2011 03:05:17 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 
 Package: mmmrpc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, xdotool (>= 2.20101012.3049-6), python (>= 2.5), python-hildon (>= 0.9.0-1maemo13), python-gtk2, python-hildondesktop (>= 0.1.0-1maemo3), python-bluez (>= 0.15-1.1maemo3)
 XSBC-Maemo-Display-Name: mmmRemotePhoneControl
 XB-Maemo-Upgrade-Description: Control your phone remotely using Java ME app on another Bluetooth device!
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=2147
+Depends: ${shlibs:Depends}, ${misc:Depends}, xdotool (>= 2.20101012.3049-6), python (>= 2.5), python-hildon (>= 0.9.0-1maemo13), python-gtk2, python-hildondesktop (>= 0.1.0-1maemo3), python-bluez (>= 0.15-1.1maemo3)
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
